## mingw-w64-bat-0.24.0-3.src.tar.zst

=== tests/syntax-tests/highlighted/CMake/CMakeLists.txt ===
[38;2;117;113;94m#[0m[38;2;117;113;94m This is a file for testing syntax highlighting.[0m
[38;2;102;217;239mcmake_minimum_required[0m[38;2;248;248;242m([0m[3;38;2;253;151;31mVERSION[0m[38;2;248;248;242m [0m[38;2;248;248;242m3.13[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mproject[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mVERSION[0m[38;2;248;248;242m [0m[38;2;248;248;242m0.0.1[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mLANGUAGES[0m[38;2;248;248;242m [0m[38;2;248;248;242mC[0m[38;2;248;248;242m)[0m

[38;2;102;217;239mset[0m[38;2;248;248;242m([0m[38;2;255;255;255mSOURCE_DIR[0m[38;2;248;248;242m [0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mCMAKE_CURRENT_SOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/src/[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mfile[0m[38;2;248;248;242m([0m[3;38;2;253;151;31mGLOB_RECURSE[0m[38;2;248;248;242m [0m[38;2;248;248;242mSOURCES[0m[38;2;248;248;242m [0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mSOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/*.c[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m

[38;2;102;217;239madd_executable[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[38;2;248;248;242mSOURCES[0m[38;2;248;248;242m)[0m

[38;2;102;217;239mfind_package[0m[38;2;248;248;242m([0m[38;2;248;248;242massimp[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mCONFIG[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mtarget_link_libraries[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[38;2;248;248;242massimp[0m[38;2;248;248;242m)[0m

[38;2;102;217;239moption[0m[38;2;248;248;242m([0m[38;2;230;219;116m"[0m[38;2;230;219;116mENABLE_TESTS[0m[38;2;230;219;116m"[0m[38;2;248;248;242m [0m[38;2;248;248;242mOFF[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mif[0m[38;2;248;248;242m([0m[38;2;248;248;242mENABLE_TESTS[0m[38;2;248;248;242m)[0m
[38;2;248;248;242m  [0m[38;2;102;217;239madd_subdirectory[0m[38;2;248;248;242m([0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mCMAKE_CURRENT_SOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/tests/[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mendif[0m[38;2;248;248;242m([0m[38;2;248;248;242m)[0m

=== tests/syntax-tests/highlighted/Makefile/Makefile ===
[38;2;124;120;101m#[0m[38;2;124;120;101m Redis Makefile[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Copyright (C) 2009 Salvatore Sanfilippo <antirez at gmail dot com>[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m This file is released under the BSD license, see the COPYING file[0m
[38;2;124;120;101m#[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m The Makefile composes the final FINAL_CFLAGS and FINAL_LDFLAGS using[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m what is needed for Redis plus the standard CFLAGS and LDFLAGS passed.[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m However when building the dependencies (Jemalloc, Lua, Hiredis, ...)[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m CFLAGS and LDFLAGS are propagated to the dependencies, so to pass[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m flags only to be used when compiling / linking Redis itself REDIS_CFLAGS[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m and REDIS_LDFLAGS are used instead (this is the case of 'make gcov').[0m
[38;2;124;120;101m#[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Dependencies are stored in the Makefile.dep file. To rebuild this file[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Just use 'make dep', but this is only needed by developers.[0m

[38;2;249;38;114mrelease_hdr[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116m./mkreleasehdr.sh[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114muname_S[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116muname -s 2>/dev/null || echo not[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114muname_M[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116muname -m 2>/dev/null || echo not[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114mOPTIMIZATION[0m[38;2;249;38;114m?=[0m[38;2;230;219;116m-O2[0m
[38;2;249;38;114mDEPENDENCY_TARGETS[0m[38;2;249;38;114m=[0m[38;2;230;219;116mhiredis linenoise lua[0m
[38;2;249;38;114mNODEPS[0m[38;2;249;38;114m:=[0m[38;2;230;219;116mclean distclean[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Default settings[0m
[38;2;249;38;114mSTD[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-std=c11 -pedantic -DREDIS_STATIC=''[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242mclang[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mCC[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242mFreeBSD[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m  STD[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-Wno-c11-extensions[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mWARN[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-Wall -W -Wno-missing-field-initializers[0m
[38;2;249;38;114mOPT[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mOPTIMIZATION[0m[3;38;2;249;38;114m)[0m

[38;2;249;38;114mPREFIX[0m[38;2;249;38;114m?=[0m[38;2;230;219;116m/usr/local[0m
[38;2;249;38;114mINSTALL_BIN[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mPREFIX[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m/bin[0m
[38;2;249;38;114mINSTALL[0m[38;2;249;38;114m=[0m[38;2;230;219;116minstall[0m
[38;2;249;38;114mPKG_CONFIG[0m[38;2;249;38;114m?=[0m[38;2;230;219;116mpkg-config[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Default allocator defaults to Jemalloc if it's not an ARM[0m
[38;2;249;38;114mMALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mlibc[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242marmv6l[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242marmv7l[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mLinux[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mjemalloc[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m To get ARM stack traces if Redis crashes we need a special C flag.[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfilter[0m[38;2;248;248;242m [0m[38;2;248;248;242maarch64 armv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-funwind-tables[0m
[38;2;249;38;114melse[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242marmv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-funwind-tables[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Backwards compatibility for selecting an allocator[0m
[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_TCMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mtcmalloc[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_TCMALLOC_MINIMAL[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mtcmalloc_minimal[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_JEMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mjemalloc[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_JEMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mno[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mlibc[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Override default settings if possible[0m
[38;2;249;38;114m-include[0m[38;2;248;248;242m [0m[38;2;230;219;116m.make-settings[0m

[38;2;249;38;114mFINAL_CFLAGS[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mSTD[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mWARN[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mOPT[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mDEBUG[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mCFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mREDIS_CFLAGS[0m[3;38;2;249;38;114m)[0m
[38;2;249;38;114mFINAL_LDFLAGS[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mLDFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mREDIS_LDFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mDEBUG[0m[3;38;2;249;38;114m)[0m
[38;2;249;38;114mFINAL_LIBS[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-lm[0m
[38;2;249;38;114mDEBUG[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g -ggdb[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Linux ARM needs -latomic at linking time[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfilter[0m[38;2;248;248;242m [0m[38;2;248;248;242maarch64 armv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        FINAL_LIBS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-latomic[0m
[38;2;249;38;114melse[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242marmv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        FINAL_LIBS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-latomic[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mSunOS[0m[38;2;248;248;242m)[0m
[38;2;248;248;242m	[0m[38;2;124;120;101m#[0m[38;2;124;120;101m SunOS[0m
[38;2;248;248;242m        [0m[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31m@@[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242m32bit[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m		CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-m64[0m
[38;2;249;38;114m		LDFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-m64[0m
[38;2;248;248;242m	[0m[38;2;249;38;114mendif[0m
[38;2;249;38;114m	DEBUG[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g[0m
[38;2;249;38;114m	DEBUG_FLAGS[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g[0m
[38;2;248;248;242m	[0m[38;2;249;38;114mexport[0m[38;2;249;38;114m CFLAGS LDFLAGS DEBUG DEBUG_FLAGS[0m
[38;2;249;38;114m	INSTALL[0m[38;2;249;38;114m=[0m[38;2;230;219;116mcp -pf[0m
[38;2;249;38;114m	FINAL_CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-D__EXTENSIONS__ -D_XPG6[0m

=== PKGBUILD ===
# Maintainer: Naveen M K <naveen521kk@gmail.com>

_realname=bat
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.24.0
pkgrel=3
pkgdesc="Cat clone with syntax highlighting and git integration (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://github.com/sharkdp/bat'
msys2_references=(
  'archlinux: bat'
)
license=('spdx:MIT OR Apache-2.0')
depends=(
  "${MINGW_PACKAGE_PREFIX}-libgit2"
  "${MINGW_PACKAGE_PREFIX}-oniguruma"
  "${MINGW_PACKAGE_PREFIX}-zlib"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-rust"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
  'git'
)
options=('!strip' '!lto')
source=("https://github.com/sharkdp/bat/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('907554a9eff239f256ee8fe05a922aad84febe4fe10a499def72a4557e9eedfb')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  # update windows-targets to fix windows-gnullvm dependency specification
  cargo update -p windows-targets@0.48.0 --precise 0.48.1

  local _target="${CARCH}-pc-windows-gnu"
  if [[ $MINGW_PACKAGE_PREFIX == *-clang-aarch64 ]]; then
    _target="${CARCH}-pc-windows-gnullvm"
  fi
  cargo fetch --locked --target "${_target}"
}

build() {
  cd "${srcdir}/${_realname}-${pkgver}"

  GIT_DIR=/dev/null \
  RUSTONIG_DYNAMIC_LIBONIG=1 \
  LIBGIT2_NO_VENDOR=1 \
  LIBZ_SYS_STATIC=0 \
    cargo build --release --frozen
}

package() {
  cd "${srcdir}/${_realname}-${pkgver}"

  install -Dm755 target/release/bat "${pkgdir}${MINGW_PREFIX}/bin/bat"

  # Package licenses
  install -Dm644 LICENSE-{APACHE,MIT} -t "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}"

  cd target/release/build

  # Package the man page
  find . -name bat.1 -type f -exec install -Dm644 {} \
    "${pkgdir}${MINGW_PREFIX}"/share/man/man1/bat.1 \;

  find . -name bat.zsh -type f -exec install -Dm644 {} \
    "${pkgdir}${MINGW_PREFIX}"/share/zsh/site-functions/_bat \;

  # Package the fish completion
  find . -name bat.fish -type f -exec install -Dm644 {} \
    "${pkgdir}${MINGW_PREFIX}"/share/fish/vendor_completions.d/bat.fish \;
}
